.product-miniature .product-title {
    height: 40px !important;
}

.product-miniature .product-description {
    height: 84px !important;
}

.product-miniature .thumbnail-container {
    height: 337px !important;
}

.js-address-form #use_same_address + label, .js-address-form #use_same_address, .js-address-form form .add-address + p{
    display: none;
}